export JPHOST="10.197.180.20:19000";
export TMPDIR="/tmp";
export TARGET=""
export HOST=""
export DEBUG=false;

mycurlPOST1()
{
	if [[ $DEBUG = true ]]
	then
		echo "curl POST " $*;
	else
		curl -X POST $1;
	fi
}

mycurlDELETE()
{
	if [[ $DEBUG = true ]]
	then
		echo "curl DELETE " $*;
	else
		curl -X DELETE $1;
	fi
}

usage(){
  echo "Usage : $0 -t <target-name> -d";
  exit 1;
}

# Read inputs
if [[ $# -ne 0 ]]; then
  # linux/bash help way
  [[ "$1" = --help ]] && usage
  while getopts ?t:d c
  do
    case $c in
      # Nodes
      t)
        TARGET=$OPTARG
        ;;
      d)
        DEBUG=true
        ;;
      *)
        usage
        ;;
    esac
  done
fi

if [[ -z $TARGET ]]; then
	usage
fi

# remove servlet probe
mycurlPOST1 http://$JPHOST/jprobe/probe/$TARGET-servlet/action/stop
mycurlDELETE http://$JPHOST/jprobe/probe/$TARGET-servlet

# remove cputime probe
mycurlPOST1 http://$JPHOST/jprobe/probe/$TARGET-cputime/action/stop
mycurlDELETE http://$JPHOST/jprobe/probe/$TARGET-cputime

# remove target
mycurlDELETE http://$JPHOST/jprobe/target/$TARGET

